QGIS Application - Bug report #309

loading a shapefile from CLI triggers bogus error

2006-09-25 10:05 AM - Redmine Admin

Status: Closed
Priority: Low
Assignee: Gary Sherman
Category: Data Provider

Affected QGIS version:
Operating System: Linux
Pull Request or Patch supplied:
Crashes QGIS or corrupts data:

Regression?: No
Easy fix?: No
Resolution: fixed

Copied to github as #: 10368

Description

Load a shapefile into qgis from CLI - at it's startup, eg.:

qgis tmp/gh_fragmet/parcels_15_2zI_GH_selekt_anon/parcels_15_2z| GH_selekt_anon.shp

ERROR 4: @/home/shoofi/tmp/gh_fragmet/parcels_15_2zI_GH_selekt_anon/parcels_15_2zl GH_selekt_anon.shp' not

recognised as a supported file format.

Warning: QPainter::begin: Cannot paint on a null pixmap
Warning: Painter must be active to set rendering hints
Warning: QPainter::end: Painter is not active, aborted

The file does load fine but this bogus error is printed and the cursor always is "busy" (though | can zoom, query and stuff).

Maciek

History

#1 - 2006-09-26 02:43 AM - Gavin Macaulay -
- Resolution set to fixed
- Status changed from Open to Closed

Fixed in svn commit:c61099¢c6 (SVN r5875)

#2 - 2009-08-22 12:46 AM - Anonymous

Milestone Version 0.8 deleted
